Bug 232685 - databases/mysql57-server: Update to 5.7.24 fixes multiple CVE
Summary: databases/mysql57-server: Update to 5.7.24 fixes multiple CVE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mahdi Mokhtari
URL: https://dev.mysql.com/doc/relnotes/my...
Keywords: security
Depends on:
Blocks:
 
Reported: 2018-10-25 16:53 UTC by Markus Kohlmeyer
Modified: 2018-11-16 17:18 UTC (History)
0 users

See Also:
mmokhi: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kohlmeyer 2018-10-25 16:53:18 UTC
See https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-24.html and upcoming Oracle-Patchday.
Comment 2 commit-hook freebsd_committer 2018-10-28 22:32:38 UTC
A commit references this bug:

Author: mmokhi
Date: Sun Oct 28 22:31:56 UTC 2018
New revision: 483359
URL: https://svnweb.freebsd.org/changeset/ports/483359

Log:
  databases/mysql57-{client, server}: Update to 5.7.24
  Delete merged-to-upstream FreeBSD patches, edit half-merged ones.

  Upstream bugfixes:
      Regression of Bug #27753193 (segfault on ALTER TABLE adding primary key, InnoDB)
      Query interruption during a lock wait caused an error: Bug #28068293
      Raised assertion during an OPTIMIZE TABLE operation for InnoDB: Bug #27753193
  More info on update: https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-24.html

  PR:		232685
  Reported by:	Markus Kohlmeyer <rootservice@gmail.com>
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/databases/mysql57-client/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  head/databases/mysql57-client/files/patch-mysys_mf__iocache2.c
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/distinfo
  head/databases/mysql57-server/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  head/databases/mysql57-server/files/patch-rapid_plugin_x_CMakeLists.txt
Comment 3 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-10-28 22:34:34 UTC
Thanks Markus :)
Comment 4 commit-hook freebsd_committer 2018-11-16 17:18:37 UTC
A commit references this bug:

Author: mmokhi
Date: Fri Nov 16 17:17:35 UTC 2018
New revision: 485092
URL: https://svnweb.freebsd.org/changeset/ports/485092

Log:
  MFH: r483359

  databases/mysql57-{client, server}: Update to 5.7.24
  Delete merged-to-upstream FreeBSD patches, edit half-merged ones.

  Upstream bugfixes:
      Regression of Bug #27753193 (segfault on ALTER TABLE adding primary key, InnoDB)
      Query interruption during a lock wait caused an error: Bug #28068293
      Raised assertion during an OPTIMIZE TABLE operation for InnoDB: Bug #27753193
  More info on update: https://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-24.html

  PR:		232685
  Reported by:	Markus Kohlmeyer <rootservice@gmail.com>
  Sponsored by:	The FreeBSD Foundation

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/databases/mysql57-client/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  branches/2018Q4/databases/mysql57-client/files/patch-mysys_mf__iocache2.c
  branches/2018Q4/databases/mysql57-server/Makefile
  branches/2018Q4/databases/mysql57-server/distinfo
  branches/2018Q4/databases/mysql57-server/files/patch-libmysql_authentication__ldap_CMakeLists.txt
  branches/2018Q4/databases/mysql57-server/files/patch-rapid_plugin_x_CMakeLists.txt